#ifndef __LISTE__
#define __LISTE__


typedef struct cellule cellule;
struct cellule
{
	cellule* last;
	int idFigurant;
	int bloquer;
	int x;
	int y;
	char type;
	cellule* next;
};

typedef struct 
{
	cellule* debut;
} list;

cellule* creerCellule(int idFigurant,int x,int y);

list* creerListeFigurant();
void removeFirstElement(list* l);
void removeAllElement(list* l);
void removeLastElement(list* l);
cellule* getFirstElement(list* l);
cellule* getLastElement(list* l);
void detruireListeFigurant(list* l);
void insererCellule( cellule* c, list* l);
void insererCoord(int x,int y, list* l);
cellule* rechercher(int idFigurant, list* l);
cellule* rechercherCoord(int x,int y, list* l);
void supprimer(cellule* c, list* l);

#endif
