#ifndef __THREAD_H__
#define __THREAD_H__
#include <netinet/in.h>
#include "definition.h"
#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#include <pthread.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>
#include <sys/shm.h>
#include <sys/sem.h>

#include "main.h"
#include "actionthread.h"

pthread_t *threadsPieton;
pthread_t *threadsFourgon;
pthread_mutex_t *lockOutilsIPCFM;
pthread_mutex_t *lockargent;

typedef struct {
  int i; // position en memoire
  int id;
  enum type_figurant_e type;
  void * memoire_partager;
}argumentThread_t;



void verrouiller_deverrouiller_semaphore(config_memoire * configuration_jeux,int operation,int x, int y);
int caseLibre(config_memoire * configuration_jeux,enum type_figurant_e type,int x,int y);
void *routinePieton(void *arg) ;
void *routineFourgon(void *arg) ;
void chargerNomfromFile(Figurant_t * pieton,int noInMemory);
void creeThread(int nbPieton, int nbFourgon,void * memoire);

#endif
