#ifndef __GESTION_DEPLACEMENT__
#define __GESTION_DEPLACEMENT__

typedef struct {
	int fd;
	int *deplacement_possible;
	int *fin_jeux;
	int *argent_restant;
	
	pthread_mutex_t *mutex_socket;
	pthread_mutex_t *mutex_Position_choisis;
	pthread_cond_t *reception_validation_deplacement_user;
	
	fenetre_t *win_grille;
	fenetre_t *win_info;
	grille_t *grille;
	position_t *ma_position;
	position_t *pos_dest_choisis;
} argument_t;


void* routineDeplacement(void *arg);
void* routineLecture(void *arg);




#endif